# Getting Vendors

Endpoint: GET /vendors
Version: v3.0: 3.30.0
Security: Auth API User Token

## Query parameters:

  - `Filter` (array)
    ### Filter Options:
- code
- description
- url
- collectsTax
- notes
- created
- lastUpdated

  - `OrderBy` (array)
    ### Order By Options:
- code
- created
- lastUpdated

  - `PageNumber` (integer)
    Page Number for the result set.

This is expected to be an integer value greater than 0. Defaults to 1 when not passed in.

For more information see the Getting Started Section for Pagination.

  - `PageSize` (integer)
    Page Size
- Default page size: 100 
- Max page size: 500

This is expected to be an integer value greater than 0. Defaults to 100 when not passed in.

For more information see the Getting Started Section for Pagination.

## Response 200 fields (application/json):

  - `id` (string)
    Yellow Dog's primary key for the Vendor; always unique; formatted as GUID (example: 433ef432-f63e-4c26-a29f-39d4079d9fc9)

  - `code` (string,null)
    Main number associated with the vendor in the Yellow Dog UI; unique per database

  - `description` (string,null)
    Main vendor description in Yellow Dog

  - `url` (string,null)
    Vendors URL

  - `collectsTax` (boolean)
    Does the Vendor collect tax or not

  - `notes` (string,null)
    Additional about the vendor

  - `approved` (boolean)
    Is the vendor approved to be used by certain users/stores

  - `currencyCode` (string,null)

  - `created` (string)
    DateTime when this item was created in Yellow Dog, in ISO 8601 format

  - `lastUpdated` (string)

  - `orderFrom` (object)

  - `orderFrom.contact` (string,null)

  - `orderFrom.phone` (string,null)

  - `orderFrom.fax` (string,null)

  - `orderFrom.mobile` (string,null)

  - `orderFrom.email` (string,null)

  - `orderFrom.street` (string,null)

  - `orderFrom.city` (string,null)

  - `orderFrom.state` (string,null)

  - `orderFrom.zip` (string,null)

  - `orderFrom.country` (string,null)

  - `orderFrom.other` (string,null)

  - `returnTo` (object)

  - `stores` (array,null)

  - `stores.id` (string)

  - `stores.available` (boolean)

  - `stores.accountingId` (string,null)

  - `stores.taxNumber` (string,null)

  - `stores.terms` (string,null)

  - `stores.reference` (string,null)

## Response 422 fields (application/json):

  - `message` (string,null)

  - `errors` (array,null)

  - `errors.field` (string,null)

  - `errors.message` (string,null)

## Response 500 fields (application/json):

  - `message` (string,null)

  - `errors` (array,null)

  - `errors.message` (string,null)

  - `errors.extensions` (string,null)


## Response 429 fields
